// "INTERNAL" VARIABLES FOR DISPLAY FUNCTION: 
int remainder;
int led_value;

void display()
{ 
  // display() will display the ordinary time or the alarm time,
  // depending on what hours_p points to, this is decided
  // by the settings_switch_state, in the buttons() function
  
  // Display hours:
  remainder = *hours_p;
  for(int i = 0; i < 5; i++) // repeat four all five hour-LEDs
  { 
    led_value = 16/round(pow(2,i)); // first LED = 16, second = 8, third = 4 etc.
    
    if(remainder/led_value == 1)
      digitalWrite(hour_pins[i], HIGH); 
    else
      digitalWrite(hour_pins[i], LOW);
    
    // the remainder of the hours is saved for 
    // the next LED that is displaying a lower value
    remainder=remainder%led_value;
  }
  
  // Display minutes:
  remainder = *minutes_p;
  for(int i = 0; i < 6; i++) // repeat for all six minute-LEDs
  { 
    led_value = 32/round(pow(2,i)); // first 32, then 16, then 8 etc.
    
    if(remainder/led_value == 1)
      digitalWrite(minute_pins[i], HIGH);
    else
      digitalWrite(minute_pins[i], LOW);
    
    // the remainder of the minutes is saved for 
    // the next LED that is displaying a lower value
    remainder=remainder%led_value;
  }
}
