#if 0  // this whole tab is outcommented



/**********************************************************
 * Here's a update_buttons_state function                 *
 * with debouncing for the hour and minute                *
 * buttons:                                               *
 * ( Debouncing code is based on the example found here:  *
 * http://www.arduino.cc/en/Tutorial/Debounce )           *  
 **********************************************************/
// "INTERNAL" VARIABLES: 
int hour_reading;
int last_hour_reading = HIGH;
int minute_reading;
int last_minute_reading = HIGH;
long last_debounce_time_hours = 0; // last time button state was changed
long last_debounce_time_minutes = 0;
long debounce_delay = 50;

void update_buttons_state_with_debounce()
{
  /* Hour button debouncing: */
  hour_reading=digitalRead(hour_button_pin);
  // If the button state has changed, due to noise or pressing:
  if (hour_reading != last_hour_reading) 
  {
    // reset the debouncing timer
    last_debounce_time_hours = millis();
  }
  // if the button state has been unchanged for long enough
  if ((millis() - last_debounce_time_hours) > debounce_delay)
  {
    // change the button state to the state read:
    hour_button_state=hour_reading;
  }
  // save the reading for later comparison 
  last_hour_reading = hour_reading;
  
  /* Minute button debouncing: */
  minute_reading=digitalRead(minute_button_pin);
  // If the button state has changed, due to noise or pressing:
  if (minute_reading != last_minute_reading) 
  {
    // reset the debouncing timer
    last_debounce_time_minutes = millis();
  }
  // if the button state has been unchanged for long enough
  if ((millis() - last_debounce_time_minutes) > debounce_delay)
  {
    // change the button state to the state read:
    minute_button_state=minute_reading;
  }
  // save the reading for later comparison 
  last_minute_reading = minute_reading;
  
  /* Read the setting switch */
  setting_switch_state = digitalRead(setting_switch_pin);
  
  /* Read the snooze touch sensor: */
  if(touch_sensor.capSense(10) > 60) // adjust this value if needed
    snooze_button_state = LOW;
  else
    snooze_button_state = HIGH;
}

#endif // end of comment
